curl --request POST \
--url https://app.tagadapay.com/api/public/v1/block-rules/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pagination": {
"page": 1,
"pageSize": 20
}
}
'{
"items": [
{
"id": "rule_123",
"name": "Block High Risk Countries",
"enabled": true,
"type": "country",
"value": [
"XX",
"YY"
],
"createdAt": "2024-03-20T10:30:00Z"
}
],
"total": 1,
"pageCount": 1
}Get all block rules for the authenticated account with filtering and pagination
curl --request POST \
--url https://app.tagadapay.com/api/public/v1/block-rules/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pagination": {
"page": 1,
"pageSize": 20
}
}
'{
"items": [
{
"id": "rule_123",
"name": "Block High Risk Countries",
"enabled": true,
"type": "country",
"value": [
"XX",
"YY"
],
"createdAt": "2024-03-20T10:30:00Z"
}
],
"total": 1,
"pageCount": 1
}